Bug 221028 - Thunderbird Addressbook should implement vCard 3.0
Thunderbird Addressbook should implement vCard 3.0
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://www.imc.org/pdi/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 11:52 EST by Răzvan Sandu
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 04:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 20304 None None None Never
Mozilla Foundation 221991 None None None Never
Mozilla Foundation 79709 None None None Never

  None (edit)
Description Răzvan Sandu 2006-12-30 11:52:38 EST
Description of problem:

Apparently, in this moment there is no standard, consistent way to exchange
personal data information between the various components of a Linux suite &
other programs and devices, such as:

- Mozilla Thunderbird
- Evolution
- KAddressbook
- Gnome Contacts
- mutt, pine, elm
- gnome-phone-manager & gnokii
- mobile phones
- various Windows applications

IMHO, Thunderbird's Addressbook should implement a standard way of *directly*
opening and saving vCard 3.0 files (RFC 2425 and RFC 2426), beside .ldif files.

All PIMs and e-mail clients should use a central "repository" of Personal
Information Data.


Version-Release number of selected component (if applicable):
thunderbird-1.5.0.9-2.fc6
mutt-1.4.2.2-5.fc6
gnome-phone-manager-0.8-3.fc6
evolution-2.8.2.1-2.fc6

How reproducible:
Always.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
There is no standard way/format of directly exchanging personal data information
between various PIMs (independent of SO), e-mail clients, mobile phones, LDAP
servers, etc.

There is no standard, FHS-compliant place, for a single Personal Information
Data repository on the system (each PIM keeps its database in one arbitrary place).


Expected results:
The above should exist.

Additional info:
Comment 1 Bill Nottingham 2007-01-01 22:54:09 EST
As this is an RFE, changing severity. Honestly, this looks to be something best
tackled upstream.
Comment 2 Răzvan Sandu 2007-01-10 07:24:24 EST
Hello,

I've submitted this RFE both to Thunderbird:
http://forums.mozillazine.org/viewtopic.php?t=508632&highlight=


and to FHS (for a standardised place for addresbooks):
http://bugs.freestandards.org/show_bug.cgi?id=104

Regards,
Răzvan
Comment 3 Matěj Cepl 2007-02-07 04:38:30 EST
This is really upstream bug and it has been already reported couple of times --
look for example on the bugs

https://bugzilla.mozilla.org/show_bug.cgi?id=221991
https://bugzilla.mozilla.org/show_bug.cgi?id=20304
https://bugzilla.mozilla.org/show_bug.cgi?id=79709

Closing as CLOSED/UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.